Set agent user id
Can modify existing signing key id if the key is not enabled. The change done in background and will be visible once applied. If key is already enabled (after proof of ownership) the user cannot be changed.
PATCH
/
key_link
/
signing_keys
/
{keyId}
/
agent_user_id
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.keyLink.setAgentId(keyLinkApiSetAgentIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.keyLink().setAgentId(modifySigningKeyAgentIdDto, keyId);response = fireblocks.key_link.set_agent_id(modify_signing_key_agent_id_dto, key_id);curl --request PATCH \
--url https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id \
--header 'Content-Type: application/json' \
--data '
{
"agentUserId": "d18847b5-1df6-4c46-8f99-5cce47284529"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agentUserId: 'd18847b5-1df6-4c46-8f99-5cce47284529'})
};
fetch('https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'agentUserId' => 'd18847b5-1df6-4c46-8f99-5cce47284529'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id"
payload := strings.NewReader("{\n \"agentUserId\": \"d18847b5-1df6-4c46-8f99-5cce47284529\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentUserId\": \"d18847b5-1df6-4c46-8f99-5cce47284529\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"code": 123
}Path Parameters
Body
application/json
Response
Agent user id modification process has started in background.
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.keyLink.setAgentId(keyLinkApiSetAgentIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.keyLink().setAgentId(modifySigningKeyAgentIdDto, keyId);response = fireblocks.key_link.set_agent_id(modify_signing_key_agent_id_dto, key_id);curl --request PATCH \
--url https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id \
--header 'Content-Type: application/json' \
--data '
{
"agentUserId": "d18847b5-1df6-4c46-8f99-5cce47284529"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agentUserId: 'd18847b5-1df6-4c46-8f99-5cce47284529'})
};
fetch('https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'agentUserId' => 'd18847b5-1df6-4c46-8f99-5cce47284529'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id"
payload := strings.NewReader("{\n \"agentUserId\": \"d18847b5-1df6-4c46-8f99-5cce47284529\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"agentUserId\": \"d18847b5-1df6-4c46-8f99-5cce47284529\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"code": 123
}